## Overview

[dom.mjs](../dom.mjs) provides tiny utils and shortcuts for working with the DOM.

## TOC

* [#Usage](#usage)
* [#API](#api)
  * [#Undocumented](#undocumented)

## Usage

```js
import * as d from 'https://cdn.jsdelivr.net/npm/@mitranim/js@0.1.77/dom.mjs'
```

## API

### Undocumented

The following APIs are exported but undocumented. Check [dom.mjs](../dom.mjs).

  * [`const DOM_EXISTS`](../dom.mjs#L6)
  * [`function isEvent`](../dom.mjs#L11)
  * [`function reqEvent`](../dom.mjs#L12)
  * [`function optEvent`](../dom.mjs#L13)
  * [`function isChildNode`](../dom.mjs#L15)
  * [`function reqChildNode`](../dom.mjs#L16)
  * [`function optChildNode`](../dom.mjs#L17)
  * [`function isParentNode`](../dom.mjs#L19)
  * [`function reqParentNode`](../dom.mjs#L20)
  * [`function optParentNode`](../dom.mjs#L21)
  * [`function isNode`](../dom.mjs#L24)
  * [`function reqNode`](../dom.mjs#L25)
  * [`function optNode`](../dom.mjs#L26)
  * [`function isElement`](../dom.mjs#L29)
  * [`function reqElement`](../dom.mjs#L30)
  * [`function optElement`](../dom.mjs#L31)
  * [`function isBlob`](../dom.mjs#L33)
  * [`function reqBlob`](../dom.mjs#L34)
  * [`function optBlob`](../dom.mjs#L35)
  * [`function isFile`](../dom.mjs#L37)
  * [`function reqFile`](../dom.mjs#L38)
  * [`function optFile`](../dom.mjs#L39)
  * [`function isDomHandler`](../dom.mjs#L41)
  * [`function reqDomHandler`](../dom.mjs#L42)
  * [`function optDomHandler`](../dom.mjs#L43)
  * [`function mutDoc`](../dom.mjs#L45)
  * [`class DocHeadMut`](../dom.mjs#L50)
  * [`class DocBodyMut`](../dom.mjs#L76)
  * [`class DocFoc`](../dom.mjs#L93)
  * [`function eventKill`](../dom.mjs#L120)
  * [`function eventStop`](../dom.mjs#L128)
  * [`function isEventModified`](../dom.mjs#L136)
  * [`function nodeShow`](../dom.mjs#L140)
  * [`function nodeHide`](../dom.mjs#L141)
  * [`function nodeRemove`](../dom.mjs#L142)
  * [`function nodeSel`](../dom.mjs#L143)
  * [`function nodeSelAll`](../dom.mjs#L144)
  * [`function isConnected`](../dom.mjs#L146)
  * [`function isDisconnected`](../dom.mjs#L147)
  * [`function addEvents`](../dom.mjs#L149)
  * [`function removeEvents`](../dom.mjs#L154)
  * [`function copyToClipboard`](../dom.mjs#L159)
  * [`function clipNode`](../dom.mjs#L178)
  * [`function selectText`](../dom.mjs#L180)
  * [`function setText`](../dom.mjs#L191)
  * [`function ancestor`](../dom.mjs#L196)
  * [`function findAncestor`](../dom.mjs#L203)
  * [`function descendant`](../dom.mjs#L220)
  * [`function findDescendant`](../dom.mjs#L222)
  * [`function descendants`](../dom.mjs#L227)
  * [`function findNextSibling`](../dom.mjs#L240)
  * [`function nextSibling`](../dom.mjs#L248)
  * [`function findPrevSibling`](../dom.mjs#L250)
  * [`function prevSibling`](../dom.mjs#L258)
  * [`function MixNode`](../dom.mjs#L264)
  * [`class MixinNode`](../dom.mjs#L266)
  * [`const PARENT_NODE`](../dom.mjs#L282)
  * [`function MixChild`](../dom.mjs#L298)
  * [`class MixinChild`](../dom.mjs#L300)
  * [`function MixChildCon`](../dom.mjs#L355)
  * [`class MixinChildCon`](../dom.mjs#L357)
